Apache log4cxx: DatagramPacket Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DatagramPacket Class Reference

Inherits ObjectImpl.

List of all members.

## Detailed Description

This class represents a datagram packet.

Datagram packets are used to implement a connectionless packet delivery service. Each message is routed from one machine to another based solely on information contained within that packet. Multiple packets sent from one machine to another might be routed differently, and might arrive in any order.

## Public Member Functions
| DatagramPacket (void *buf, int length)
| Constructs a DatagramPacket for receiving packets of length `length`.
| DatagramPacket (void *buf, int length, InetAddressPtr address, int port)
| Constructs a datagram packet for sending packets of length `length` to the specified port number on the specified host.
| DatagramPacket (void *buf, int offset, int length)
| Constructs a DatagramPacket for receiving packets of length `length`, specifying an offset into the buffer.
| DatagramPacket (void *buf, int offset, int length, InetAddressPtr address, int port)
| Constructs a datagram packet for sending packets of length `length` with offset `offset` to the specified port number on the specified host.
| ~DatagramPacket ()
InetAddressPtr | getAddress () const
| Returns the IP address of the machine to which this datagram is being sent or from which the datagram was received.
void * | getData () const
| Returns the data received or the data to be sent.
int | getLength () const
| Returns the length of the data to be sent or the length of the data received.
int | getOffset () const
| Returns the offset of the data to be sent or the offset of the data received.
int | getPort () const
| Returns the port number on the remote host to which this datagram is being sent or from which the datagram was received.
void | setAddress (InetAddressPtr address1)
void | setData (void *buf1)
| Set the data buffer for this packet.
void | setData (void *buf1, int offset1, int length1)
| Set the data buffer for this packet.
void | setLength (int length1)
| Set the length for this packet.
void | setPort (int port1)
## Protected Attributes
void * | buf
| the data for this packet.
int | offset
| The offset of the data for this packet.
int | length
| The length of the data for this packet.
InetAddressPtr | address
| The IP address for this packet.
int | port
| The UDP port number of the remote host.

## Constructor & Destructor Documentation

DatagramPacket | ( | void * | buf,
|  | int | length
| ) |

| Constructs a DatagramPacket for receiving packets of length `length`.

DatagramPacket | ( | void * | buf,
|  | int | length,
|  | InetAddressPtr | address,
|  | int | port
| ) |

| Constructs a datagram packet for sending packets of length `length` to the specified port number on the specified host.

DatagramPacket | ( | void * | buf,
|  | int | offset,
|  | int | length
| ) |

| Constructs a DatagramPacket for receiving packets of length `length`, specifying an offset into the buffer.

DatagramPacket | ( | void * | buf,
|  | int | offset,
|  | int | length,
|  | InetAddressPtr | address,
|  | int | port
| ) |

| Constructs a datagram packet for sending packets of length `length` with offset `offset` to the specified port number on the specified host.

~DatagramPacket | ( |  | ) |

## Member Function Documentation

InetAddressPtr getAddress | ( |  | ) | const`[inline]`

| Returns the IP address of the machine to which this datagram is being sent or from which the datagram was received.

void* getData | ( |  | ) | const`[inline]`

| Returns the data received or the data to be sent.

int getLength | ( |  | ) | const`[inline]`

| Returns the length of the data to be sent or the length of the data received.

int getOffset | ( |  | ) | const`[inline]`

| Returns the offset of the data to be sent or the offset of the data received.

int getPort | ( |  | ) | const`[inline]`

| Returns the port number on the remote host to which this datagram is being sent or from which the datagram was received.

void setAddress | ( | InetAddressPtr | address1 | ) | `[inline]`

void setData | ( | void * | buf1,
|  | int | offset1,
|  | int | length1
| ) | `[inline]`

| Set the data buffer for this packet.

void setData | ( | void * | buf1 | ) | `[inline]`

| Set the data buffer for this packet.

void setLength | ( | int | length1 | ) | `[inline]`

| Set the length for this packet.

void setPort | ( | int | port1 | ) | `[inline]`

## Member Data Documentation

InetAddressPtr address`[protected]`

| The IP address for this packet.

void* buf`[protected]`

| the data for this packet.

int length`[protected]`

| The length of the data for this packet.

int offset`[protected]`

| The offset of the data for this packet.

int port`[protected]`

| The UDP port number of the remote host.

The documentation for this class was generated from the following file:

- datagrampacket.h